Name:		ojuba-grub2-theme
License:	Waqfv2 and GPLv3
Group:		Applications/System
Version:	1
Release:	4%{?dist}
Summary(ar):	سمة أعجوبة الإقلاعية
Summary:	Ojuba grub2 theme
Requires:	grub2 gnu-free-mono-fonts perl
Source:		%{name}.tar.bz2
BuildArch:	noarch

%description -l ar
أعمال أعجوبة الفنّية لتجميل عملية الإقلاع.

%description
Ojuba theme art work for grub2.

%prep
%setup -q -n %{name}

%build
#No thing to build.

%install
mkdir -p %{buildroot}/boot/grub2/themes/ojuba
cp -r * %{buildroot}/boot/grub2/themes/ojuba

%post

### START ACTIVATION
if [ -e "/etc/default/grub" ]; then
TIMEOUT=`cat /etc/default/grub | grep TIMEOUT`
BACKGROUND=`cat /etc/default/grub | grep BACKGROUND`
THEME=`cat /etc/default/grub | grep THEME`
TEST=`cat /etc/default/grub | grep TEST`
GFXMODE=`cat /etc/default/grub | grep GFXMODE`
TERMINAL_OUTPUT=`cat /etc/default/grub | grep TERMINAL_OUTPUT`

cp /etc/default/grub /tmp/ojuba-grub


if ! [ "$TIMEOUT" = "" ]; then
cat /tmp/ojuba-grub | sed "s:$TIMEOUT::g" > /tmp/ojuba-grub-tmp 
mv /tmp/ojuba-grub-tmp /tmp/ojuba-grub
fi

if ! [ "$BACKGROUND" = "" ]; then
cat /tmp/ojuba-grub | sed "s:$BACKGROUND::g" > /tmp/ojuba-grub-tmp 
mv /tmp/ojuba-grub-tmp /tmp/ojuba-grub
fi

if ! [ "$THEME" = "" ]; then
cat /tmp/ojuba-grub | sed "s:$THEME::g" > /tmp/ojuba-grub-tmp 
mv /tmp/ojuba-grub-tmp /tmp/ojuba-grub
fi

if ! [ "$GFXMODE" = "" ]; then
cat /tmp/ojuba-grub | sed "s:$GFXMODE::g" > /tmp/ojuba-grub-tmp 
mv /tmp/ojuba-grub-tmp /tmp/ojuba-grub
fi

if ! [ "$TERMINAL_OUTPUT" = "" ]; then
cat /tmp/ojuba-grub | sed "s:$TERMINAL_OUTPUT::g" > /tmp/ojuba-grub-tmp 
mv /tmp/ojuba-grub-tmp /tmp/ojuba-grub
fi

sed '/^\s*$/d' -i /tmp/ojuba-grub 

echo 'GRUB_TIMEOUT=10
GRUB_BACKGROUND=/boot/grub2/themes/ojuba/background.png
GRUB_THEME=/boot/grub2/themes/ojuba/theme.txt
GRUB_GFXMODE=auto
GRUB_TERMINAL_OUTPUT=gfxterm' >> /tmp/ojuba-grub

cat /tmp/ojuba-grub > /etc/default/grub
rm -f /tmp/ojuba-grub

fi
# END ACTIVATION


#chmod 755 /boot/grub2/themes/ojuba/activate-theme
#perl /boot/grub2/themes/ojuba/activate-theme
#grub2-mkconfig -o /boot/grub2/grub.cfg

%files
%defattr(-,root,root,-)
/boot/grub2/themes/ojuba

%changelog
* Sun Nov 27 2016 Mosaab Alzoubi <moceap@hotmail.com> - 1-4
- New way for activation

* Sun Nov 27 2016 Mosaab Alzoubi <moceap@hotmail.com> - 1-3
- Rebuilt for Fedora 25

* Thu Feb 13 2014 Mosaab Alzoubi <moceap@hotmail.com> - 1-2
- Tweaks.

* Thu Feb 13 2014 Mosaab Alzoubi <moceap@hotmail.com> - 1-1
- Fork Kenzy theme to be used into Ojuba.
- General tweaks.

* Thu Aug 30 2012 Muhammad Shaban <Mr.Muhammad@linuxac.org> - 1.0-3
- remove script from firstboot

* Wed Jul 11 2012 Muhammad Shaban <Mr.Muhammad@linuxac.org> - 1.0-2
- add script to firstboot to work after installation

* Tue Jul 10 2012 Muhammad Shaban <Mr.Muhammad@linuxac.org> - 1.0-1
- Initial release
